- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Fields

# libiscsi_node Struct Reference

iSCSI node record More...

`#include <libiscsi.h>`

## Data Fields
char | name [LIBISCSI_VALUE_MAXLEN]
int | tpgt
char | address [NI_MAXHOST]
int | port
char | iface [LIBISCSI_VALUE_MAXLEN]

## Detailed Description

Struct holding data uniquely identifying an iSCSI node.

## Field Documentation

char libiscsi_node::address[NI_MAXHOST]

Portal hostname or IP-address.

char libiscsi_node::iface[LIBISCSI_VALUE_MAXLEN]

Interface to connect through.

char libiscsi_node::name[LIBISCSI_VALUE_MAXLEN]

iSCSI iqn for the node.

int libiscsi_node::port

Portal port number.

int libiscsi_node::tpgt

Portal group number.

The documentation for this struct was generated from the following file:

- libiscsi.h